## org.apache.lucene.spatial.geometry.shape
Class DistanceApproximation

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.DistanceApproximation

    public class DistanceApproximation

extends java.lang.Object

Imported from mq java client. No changes made.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Field Summary
`static double` `KILOMETERS_PER_MILE`
`static double` `MILES_PER_LATITUDE`

Constructor Summary
`DistanceApproximation()`

Method Summary
`double` `getDistanceSq(double lat, double lng)`
`double` `getDistanceSq(double lat1, double lng1, double lat2, double lng2)`
`static double` `getMilesPerLatDeg()`
`static double` `getMilesPerLngDeg(double lat)`
`void` `setTestPoint(double lat, double lng)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MILES_PER_LATITUDE

    public static final double MILES_PER_LATITUDE

See Also:
  Constant Field Values

### KILOMETERS_PER_MILE

    public static final double KILOMETERS_PER_MILE

See Also:
  Constant Field Values

Constructor Detail

### DistanceApproximation

    public DistanceApproximation()

Method Detail

### setTestPoint

    public void setTestPoint(double lat,
                             double lng)

### getDistanceSq

    public double getDistanceSq(double lat,
                                double lng)

### getDistanceSq

    public double getDistanceSq(double lat1,
                                double lng1,
                                double lat2,
                                double lng2)

### getMilesPerLngDeg

    public static double getMilesPerLngDeg(double lat)

### getMilesPerLatDeg

    public static double getMilesPerLatDeg()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.